DOMDocument::createAttribute
DOMDocument::createCDATASection
DOMDocument
PHP Manual

# DOMDocument::createAttributeNS

(PHP 5)

DOMDocument::createAttributeNS — Create new attribute node with an associated namespace

### Description

public DOMAttr DOMDocument::createAttributeNS ( string `$namespaceURI` , string `$qualifiedName` )

This function creates a new instance of class DOMAttr. This node will not show up in the document unless it is inserted with (e.g.) DOMNode::appendChild().

### Parameters

`namespaceURI`

  The URI of the namespace.

`qualifiedName`

  The tag name and prefix of the attribute, as prefix:tagname.

### Return Values

The new DOMAttr or `FALSE` if an error occurred.

### Errors/Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if `qualifiedName` contains an invalid character.

`DOM_NAMESPACE_ERR`

  Raised if `qualifiedName` is a malformed qualified name, or if `qualifiedName` has a prefix and `namespaceURI` is `NULL`.

### See Also

- DOMNode::appendChild() - Adds new child at the end of the children
- DOMDocument::createAttribute() - Create new attribute
- DOMDocument::createCDATASection() - Create new cdata node
- DOMDocument::createComment() - Create new comment node
- DOMDocument::createDocumentFragment() - Create new document fragment
- DOMDocument::createElement() - Create new element node
- DOMDocument::createElementNS() - Create new element node with an associated namespace
- DOMDocument::createEntityReference() - Create new entity reference node
- DOMDocument::createProcessingInstruction() - Creates new PI node
- DOMDocument::createTextNode() - Create new text node

DOMDocument::createAttribute
DOMDocument::createCDATASection
DOMDocument
PHP Manual